Subject: Re: multithread programming
From: Stipe Tolj <[email-masked]>
To: "Christopher G. Faylor" <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Feb 1999 02:36:56 +0100

> >unfortunatly Cygwin b19 (and b20) are _not_ multithread safe. Therefore the
> >posix thread pthread package from MIT won't work.
> >
> >That's at least what core developers have told me on that issue.
>
> Actually, recent source snapshots have had a threadsafe option which has
> to be manually configured.  This also includes limited pthread support.

that sound great. So when can I expect to be able to port the MySQL database
engine using MIT's pthread package on Cygwin? Will be Cygwin b21 threadsafe and
pthread supporting?

What do I have to do, to get the pthread support active within the latest source
snapshot? Compile the whole cygwin1.dll? Which options do I have to configure
manually for this?

Regards,
Stipe

--
Stipe Tolj <[email-masked]>

Cygwin Porting Project -- "We build UNIX on top of Windows"
http://www.student.uni-koeln.de/cygwin/

Department of Economical Computer Science
University of Cologne, Germany